import { PropType } from 'vue';
export declare const CdsTransitionModal: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    target: PropType<HTMLElement>;
}>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    target: PropType<HTMLElement>;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
